/ comp / gb.opengl / gl / genlists
Gl.GenLists (gb.opengl)
Syntax

    STATIC FUNCTION GenLists ( Count AS Integer ) AS Integer

### Generate a contiguous set of empty display lists

#### Description

Gl.GenLists has one argument, range. It returns an integer n such that range contiguous empty display lists, named n, n+1, ..., n+range -1, are created. If range is zero, if there is no group of range contiguous names available, or if any error is generated, no display lists are generated, and zero is returned.

#### Errors

Gl.GL_INVALID_VALUE is generated if range is negative.
Gl.GL_INVALID_OPERATION is generated if Gl.GenLists is called between a call to Gl.Begin and the corresponding call to Gl.End.

#### Associated Gets

Gl.IsList

### See also

Gl.CallList , Gl.CallLists , Gl.DeleteLists, Gl.NewList